Skip to content

GET /log

GET
/log

Find all instances of the model matched by filter from the data source.

Parameters

Query Parameters

filter

Filter defining fields, where, include, order, offset, and limit

Typestring

Responses

Request was successful

application/json
JSON
[
{
"status": "string",
"fullName": "string",
"workplace": "string",
"clockInLocation": "string",
"clockOutLocation": "string",
"clockedInAt": "string",
"clockedOutAt": "string",
"clockInDescription": "string",
"clockOutDescription": "string",
"employeeType": "regular",
"approvalStatus": 0,
"isHoliday": true,
"durations": {
},
"employeeId": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"deviceId": "string",
"truckId": "string",
"metrics": {
"course": 0,
"speed": 0,
"metricsDate": "string",
"id": "string"
},
"createdAt": "string",
"updatedAt": "string",
"breaks": [
{
"status": "string",
"start": "string",
"end": "string",
"id": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"timeCategoryId": "string",
"plants": [
{
"durations": {
},
"id": "string",
"plantId": "string"
}
]
}
]

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/count

GET
/log/count

Count instances of the model matched by where from the data source.

Parameters

Query Parameters

where

Criteria to match model instances

Typestring

Responses

Request was successful

application/json
JSON
{
"count": 0
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/findOne

GET
/log/findOne

Find first instance of the model matched by filter from the data source.

Parameters

Query Parameters

filter

Filter defining fields, where, include, order, offset, and limit

Typestring

Responses

Request was successful

application/json
JSON
{
"status": "string",
"fullName": "string",
"workplace": "string",
"clockInLocation": "string",
"clockOutLocation": "string",
"clockedInAt": "string",
"clockedOutAt": "string",
"clockInDescription": "string",
"clockOutDescription": "string",
"employeeType": "regular",
"approvalStatus": 0,
"isHoliday": true,
"durations": {
},
"employeeId": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"deviceId": "string",
"truckId": "string",
"metrics": {
"course": 0,
"speed": 0,
"metricsDate": "string",
"id": "string"
},
"createdAt": "string",
"updatedAt": "string",
"breaks": [
{
"status": "string",
"start": "string",
"end": "string",
"id": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"timeCategoryId": "string",
"plants": [
{
"durations": {
},
"id": "string",
"plantId": "string"
}
]
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/report

GET
/log/report

Get time log report

Parameters

Query Parameters

fromDate*
Typestring
Required
toDate
Typestring
onlyDrivers
Typeboolean
employeeIds

Array of Employee Ids

Typestring
truckIds

Array of Truck Ids

Typestring
plantIds

Array of Plant Ids

Typestring
format
Typestring
decimal
Typeboolean
employeeDivisionId

Division id of division, for which and for its children's employees report should be created

Typestring

Responses

Request was successful

application/json
JSON
[
{
}
]

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/today

GET
/log/today

Get time log entries for current workday

Responses

Request was successful

application/json
JSON
[
{
}
]

Playground

Samples

cURL
JavaScript
PHP
Python

GET /log/week

GET
/log/week

Get time log entries for current week

Responses

Request was successful

application/json
JSON
[
{
}
]

Playground

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}

GET
/log/{id}

Find a model instance by {{id}} from the data source.

Parameters

Path Parameters

id*

Model id

Typestring
Required

Query Parameters

filter

Filter defining fields and include

Typestring

Responses

Request was successful

application/json
JSON
{
"status": "string",
"fullName": "string",
"workplace": "string",
"clockInLocation": "string",
"clockOutLocation": "string",
"clockedInAt": "string",
"clockedOutAt": "string",
"clockInDescription": "string",
"clockOutDescription": "string",
"employeeType": "regular",
"approvalStatus": 0,
"isHoliday": true,
"durations": {
},
"employeeId": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"deviceId": "string",
"truckId": "string",
"metrics": {
"course": 0,
"speed": 0,
"metricsDate": "string",
"id": "string"
},
"createdAt": "string",
"updatedAt": "string",
"breaks": [
{
"status": "string",
"start": "string",
"end": "string",
"id": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"timeCategoryId": "string",
"plants": [
{
"durations": {
},
"id": "string",
"plantId": "string"
}
]
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/employee

GET
/log/{id}/employee

Fetches belongsTo relation employee.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"name": "string",
"number": "string",
"email": "string",
"phoneNumber": "string",
"type": "regular",
"clockInAllowedAt": "string",
"hireDate": "string",
"active": true,
"externalId": "string",
"receivesLateClockInNotifications": true,
"id": "string",
"companyId": "string",
"divisionId": "string",
"plantId": "string",
"truckId": "string",
"createdAt": "string",
"updatedAt": "string",
"typeId": "string",
"timeCategoryIds": [
"string"
],
"defaultTimeCategoryId": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/entryBreaks

GET
/log/{id}/entryBreaks

Queries entryBreaks of TimeLogEntry.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

filter
Typestring

Responses

Request was successful

application/json
JSON
[
{
"status": "string",
"start": "string",
"end": "string",
"id": "string",
"createdAt": "string",
"updatedAt": "string"
}
]

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/entryBreaks/count

GET
/log/{id}/entryBreaks/count

Counts entryBreaks of TimeLogEntry.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

where

Criteria to match model instances

Typestring

Responses

Request was successful

application/json
JSON
{
"count": 0
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/entryBreaks/{fk}

GET
/log/{id}/entryBreaks/{fk}

Find a related item by id for entryBreaks.

Parameters

Path Parameters

fk*

Foreign key for entryBreaks

Typestring
Required
id*

PersistedModel id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
"status": "string",
"start": "string",
"end": "string",
"id": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/exists

GET
/log/{id}/exists

Check whether a model instance exists in the data source.

Parameters

Path Parameters

id*

Model id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
"exists": true
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/plantDurations

GET
/log/{id}/plantDurations

Queries plantDurations of TimeLogEntry.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

filter
Typestring

Responses

Request was successful

application/json
JSON
[
{
"durations": {
},
"id": "string",
"plantId": "string"
}
]

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/plantDurations/count

GET
/log/{id}/plantDurations/count

Counts plantDurations of TimeLogEntry.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

where

Criteria to match model instances

Typestring

Responses

Request was successful

application/json
JSON
{
"count": 0
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/plantDurations/{fk}

GET
/log/{id}/plantDurations/{fk}

Find a related item by id for plantDurations.

Parameters

Path Parameters

fk*

Foreign key for plantDurations

Typestring
Required
id*

PersistedModel id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
"durations": {
},
"id": "string",
"plantId": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/timeCategory

GET
/log/{id}/timeCategory

Fetches belongsTo relation timeCategory.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"name": "string",
"type": "tracked",
"code": "string",
"costCenter": "string",
"showInDriverAppInsights": true,
"id": "string",
"companyId": "string",
"divisionId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/truck

GET
/log/{id}/truck

Fetches belongsTo relation truck.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"number": "string",
"description": "string",
"location": "string",
"locationData": {
},
"inService": false,
"inYard": false,
"deadhead": "string",
"endOfDay": false,
"lastAccess": "string",
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"createdAt": "string",
"updatedAt": "string",
"plantId": "string",
"currentPlantId": "string",
"metrics": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/truckMetrics

GET
/log/{id}/truckMetrics

Fetches hasOne relation truckMetrics.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"course": 0,
"speed": 0,
"metricsDate": "string",
"id": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /log/{id}/user

GET
/log/{id}/user

Fetches belongsTo relation user.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"type": "string",
"subType": "string",
"sysdyneId": "string",
"realm": "string",
"username": "string",
"credentials": {
},
"challenges": {
},
"email": "string",
"emailVerified": true,
"status": "string",
"created": "string",
"lastUpdated": "string",
"id": "string",
"createdAt": "string",
"updatedAt": "string",
"companyId": "string",
"divisionId": "string",
"employeeId": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python